Subject: bug#24158: Problem in set-face-attribute for whitespace mode in terminal

From: Eli Zaretskii <[email-masked]>
Date: Tue, 13 Sep 2016 17:19:28 +0300

> From: Kip Coul <[email-masked]>
> Date: Fri, 5 Aug 2016 13:34:47 +0200
> 
> You have to put it into your .emacs file
> 
> On Fri, Aug 5, 2016 at 12:21 PM, Eli Zaretskii <[email-masked]> wrote:
> 
>  > From: Kip Coul <[email-masked]>
>  > Date: Fri, 5 Aug 2016 11:41:20 +0200
>  >
>  > This one does not work (the background is grey):
>  > (global-whitespace-mode t)
>  > (set-face-attribute 'whitespace-space nil :background nil :foreground "red")
>  >
>  > However, it should be the same, right?
>  >
>  > Interestingly, it works with eval-region though.
> 
>  If it does work with eval-region, then how to reproduce the situation
>  where it doesn't work?

Sorry for the long delay.

I tried your recipe, and I couldn't reproduce the problem: both
variants worked for me the same when I put them in my ~/.emacs.

What is your Emacs version?  (I tried in the latest development
sources.)

Also, if you put in your .emacs only those settings, does it still not
work?  If it works then, you probably have something else in your
.emacs or the site-wide init files that interferes with these face
settings.